Last Comment Bug 388105 - RDFResource and RDFServiceImpl leak on startup test
: RDFResource and RDFServiceImpl leak on startup test
Status: RESOLVED FIXED
: fixed1.8.1.8, mlk
Product: MailNews Core
Classification: Components
Component: Backend (show other bugs)
: Trunk
: x86 Windows Vista
: -- normal (vote)
: ---
Assigned To: Scott MacGregor
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-13 18:31 PDT by Scott MacGregor
Modified: 2008-07-31 04:30 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
the fix (948 bytes, patch)
2007-07-13 18:31 PDT, Scott MacGregor
mozilla: superreview+
dveditz: approval1.8.1.8+
Details | Diff | Splinter Review

Description Scott MacGregor 2007-07-13 18:31:33 PDT
Created attachment 272269 [details] [diff] [review]
the fix

We leak 3 RDF resources and the RDF service when doing a startup / shutdown test. 

this low risk leak fix might be something we want on the branch too.
Comment 1 Robert Kaiser 2007-07-15 12:20:12 PDT
I wonder if the shutdown crash I saw in bug 388241 has to do something with this. mailnews appears way down in the stacktrace and this patch here is the only recent checkin that mentions RDF datasources. The actual crash there seems to be happening when freeing a xul template RDF node.
Comment 2 Daniel Veditz [:dveditz] 2007-08-29 15:06:50 PDT
Comment on attachment 272269 [details] [diff] [review]
the fix

approved for 1.8.1.7, a=dveditz for release-drivers

Note You need to log in before you can comment on or make changes to this bug.